
@import url('https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
	--meta-color: #92A6C2;
	--title-color: #15152A;
	--link-color: #F55200;
}

html {
	scroll-behavior: smooth;
	height: 100%;
}

body {
	background: #FFFFFF;
	font-family: 'Inter', sans-serif;
	font-size: 16px;
	line-height: 1.6;
	min-height: 100%;
	display: flex;
	flex-direction: column;
	box-sizing: border-box;
}

main {
	flex: 1 0 auto;
	padding-top: 120px;
	box-sizing: border-box;
	margin-bottom: 80px;
	width: 100%; overflow-x: hidden;
}

.single main {
	padding-top: 100px;
	margin-bottom: 0;
}

.container {
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 20px;
}

.external-links {
	padding: 10px;
	background: #f1f1f1;
}

.source-link {
	color: #F55200;
	text-decoration: underline;
}

.source-link:hover {
	color: #cc4200;
}

.footer {
	background: rgba(246, 248, 251, 1);
	padding: 40px 0;
	flex-shrink: 0;
	width: 100%;
}

.footer__container {
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 20px;
}

.footer__inner {
	display: flex;
	justify-content: space-between;
	align-items: center;
	color: var(--meta-color);
	font-size: 16px;
	font-weight: 600;
}

.footer-right {
	display: flex;
	align-items: center;
	gap: 40px;
}

.footer-right span:hover {
	color: var(--title-color);
	transition: color 0.3s ease-in-out;
	cursor: pointer;
}

@media (max-width: 780px) {
	.container {
		padding: 0 20px;
	}

	.footer__container {
		padding: 0 10px;
	}
}

@media (max-width: 640px) {
	main {
		margin-bottom: 40px;
	}

	.footer {
		padding: 20px 0;
	}

	.footer__container {
		padding: 0 15px;
	}

	.footer__inner {
		flex-direction: column;
		align-items: flex-start;
		gap: 20px;
	}

	.footer-right {
		flex-direction: column;
		align-items: flex-start;
		gap: 10px;
	}
}

@media (max-width: 550px) {
	main {
		padding-top: 80px;
	}

	.container {
		padding: 0 10px;
	}
}
